<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'hotpot', language 'en_us_k12', version '2.9'.
 *
 * @package     hotpot
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addquizchain_help'] = 'Should all the quizzes in a quiz chain be added?

**No**
: only one quiz will be added to the class

**Yes**
: if the source file is a **quiz file**, it is treated as the start of a chain of quizzes and all quizzes in the chain will be added to the class with identical settings. Each quiz in the chain must have a link to the next file in the chain.

If the source file is a **folder**, all recognizable quizzes in the folder will be added to the class to form a chain of quizzes with identical settings.

If the source file is a **unit file**, such as a Hot Potatoes masher file or index.html, quizzes listed in the unit file will be added to the class as a chain of quizzes with identical settings.';
$string['configmaxeventlength'] = 'If a HotPot has both an open and a close time specified, and the difference between the two times is greater than the number of days specified here, then two separate calendar events will be added to the class calendar. For shorter durations, or when just one time is specified, only one calendar event will be added. If neither time is specified, no calendar event will be added.';
$string['entrycm_help'] = 'This setting specifies a Moodle activity and a minimum grade for that activity which must be achieved before this HotPot activity can be attempted.

The teacher can select a specific activity,
or one of the following general purpose settings:

* Previous activity in this class
* Previous activity in this section
* Previous HotPot in this class
* Previous HotPot in this section';
$string['entrycmcourse'] = 'Previous activity in this class';
$string['entrycmsection'] = 'Previous activity in this class section';
$string['entryhotpotcourse'] = 'Previous HotPot in this class';
$string['entryhotpotsection'] = 'Previous HotPot in this class section';
$string['event_attempt_reviewed_description'] = 'The user with id \\"{$a->userid}\\" reviewed an attempt at the \\"hotpot\\" activity with class module id \\"{$a->cmid}\\"';
$string['event_attempt_started_description'] = 'The user with id \\"{$a->userid}\\" started an attempt at the \\"hotpot\\" activity with class module id \\"{$a->cmid}\\"';
$string['event_attempt_submitted_description'] = 'The user with id \\"{$a->userid}\\" submitted an attempt at the \\"hotpot\\" activity with class module id \\"{$a->cmid}\\"';
$string['event_base_description'] = 'The user with id \\"{$a->userid}\\" initiated an event in the \\"hotpot\\" activity with class module id \\"{$a->cmid}\\"';
$string['event_report_viewed_description'] = 'The user with id \\"{$a->userid}\\" viewed a report on attempts at the \\"hotpot\\" activity with class module id \\"{$a->cmid}\\"';
$string['exit_course'] = 'Class';
$string['exit_course_text'] = 'Return to the main class page';
$string['exit_grades_text'] = 'Look at your grades so far for this class';
$string['exit_links_help'] = 'These options enable and disable the display of certain navigation links on a HotPot\'s exit page.

**Retry**
: if multiple attempts are allowed at this HotPot and the student still has some attempts left, a link to allow the student to retry the HotPot will be displayed

**Index**
: if checked, a link to the HotPot index page will be displayed.

**Class**
: if checked, a link to the Moodle class page will be displayed.

**Grades**
: if checked, a link to the Moodle gradebook will be displayed.';
$string['exitcm_help'] = 'This setting specifies a Moodle activity to be done after this HotPot activity is completed. The optional grade is the minimum grade for this HotPot activity that is required before the next activity is shown.

The teacher can select a specific activity, or a one of the following general purpose settings:

* Next activity in this class
* Next activity in this section
* Next HotPot activity in this class
* Next HotPot activity in this section

If other exit page options are disabled and the student has achieved the required grade on this HotPot activity, the next activity will be shown straight away. Otherwise, the student will be shown a link to the next activity, which they can click when they are ready.';
$string['exitcmcourse'] = 'Next activity in this class';
$string['exitcmsection'] = 'Next activity in this class section';
$string['exithotpotcourse'] = 'Next HotPot in this class';
$string['exithotpotsection'] = 'Next HotPot in this class section';
$string['exitpage_help'] = 'Should a exit page displayed after the HotPot quiz has been completed?

**Yes**
: the students will be shown an exit page when the HotPot is completed. The contents of the exit page are determined by the settings for the HotPot\'s exit page feedback and links.

**No**
: the students will not be shown an exit page. Instead, they will either go immediately to the next activity or return to the Moodle class page.';
$string['navigation_help'] = 'This setting specifies the navigation used in the quiz:

**Moodle navigation bar**
: the Moodle navigation bar will be displayed in the same window as the quiz at the top of the page

**Moodle navigation frame**
: the Moodle navigation bar will be displayed in a separate frame at the top of the quiz

**Embedded web page**
: the Moodle navigation bar will be displayed in with the Hot Potatoes quiz embedded within the window

**Original navigation aids**
: the quiz will be displayed with the navigation buttons, if any, defined in the quiz

**A single \\"Give Up\\" button**
: the quiz will be displayed with a single \\"Give Up\\" button at the top of the page

**None**
: the quiz will be displayed without any navigation aids, so when all questions have been answered correctly, depending on the \\"Show next quiz?\\" setting, Moodle will either return to the class page or display the next quiz';
$string['sourcefile_help'] = 'This setting specifies the file containing the content that will be shown to the students.

Usually the source file will have been created outside of Moodle, and then uploaded to the files area of a Moodle class.
It may be an html file, or it may be another kind of file that has been created with authoring software such as Hot Potatoes or Qedoc.

The source file may be specified as a folder and file path in the Moodle class files area, or it may be a url beginning with http:// or https://

For Qedoc materials, the source file must be the url of a Qedoc module that has been uploaded to the Qedoc server.

* e.g. http://www.qedoc.net/library/ABCDE_123.zip
* For information about uploading Qedoc modules see: [Qedoc documentation: Uploading_modules](http://www.qedoc.org/en/index.php?title=Uploading_modules)';
$string['studentfeedback_help'] = 'If enabled, a link to a pop-up feedback window will be displayed whenever the student clicks on the \\"Check\\" button. The feedback window allows students to discuss this quiz with their teacher and classmates in one of the following ways:

**Web page**
: requires URL of the web page, for example http://myserver.com/feedbackform.html

**Feedback form**
: requires URL of the form script, for example http://myserver.com/cgi-bin/formmail.pl

**Moodle forum**
: the forum index for the class will be displayed

**Moodle messaging**
: the Moodle instant messaging window will be displayed. If the class has several teachers, the student will be prompted to select a teacher before the messaging window appears.';
